package main

import (
	"flag"
	"fmt"
	"time"

	"github.com/anoop142/cowin-cli/states"
)

func getDate() string {
	dateNow := time.Now()
	dateTommorrow := dateNow.AddDate(0, 0, 1)
	return dateTommorrow.Format("02-01-2006")
}

func main() {
	pincode := flag.String("p", "", "pincode")
	state := flag.String("s", "", "state")
	district := flag.String("d", "", "district")
	date := flag.String("c", getDate(), "date dd-mm-yyyy")
	vaccine := flag.String("v", "", "vaccine name")
	info := flag.Bool("i", false, "full info")

	flag.Parse()
	flag.Usage = func() {
		fmt.Printf("Usage :\n")
		fmt.Printf("\n  cowin-cli -s state -d district [-v vaccine ] [-i] [-c dd-mm-yyyy]\n")
		fmt.Printf("  cowin-cli -p pincode \n\n")
		flag.PrintDefaults()
	}
	if *pincode != "" || (*state != "" && *district != "") {
		printCenters(states.GetDistrictID(*state, *district), *pincode, *vaccine, *date, *info)
	} else {
		flag.Usage()
	}

}
